<html>

<head>
    <title>Excellence Riviera Cancun</title>
    <style>
        .h1 {
            font-family: Arial, Helvetica, sans-serif;
        }

        .summary {
            font-family: Arial, Helvetica, sans-serif;
            margin-top: 20px;
            margin-bottom: 10px;
        }
    </style>
    <script type="text/javascript" src="https://api.feefo.com/api/javascript/travel-direct"> </script>
</head>

<body>
    <table width="900px">
        <tr>
            <td>
                <span style="font-size: 20px; font-weight: bold" class="h1">Holidays at Excellence Riviera Cancun, Mexico</span>
                <br />
                <img src="mexico-hotels-riviera-cancun-1140x500-2.jpg" width="650px" />

                <div class="summary">
                    <p>
                        A taste of the sublime on Mexico's Caribbean coast, Excellence Riviera is an all-adults, all-suite and
                        all-inclusive resort. Six pools are nestled amongst the lush greenery of the tropical gardens and
                        a number of hotel facilities sit on the resort's picturesque stretch of beach. The 442 suites take
                        luxury to a whole new level with sumptuous furnishings and top-of-the-line facilities. As part of
                        the all-inclusive package, guests have access to nine restaurants, ten bars, a state-of-the-art fitness
                        centre and wide range of activities.
                    </p>
                    <p>
                        An oasis of tranquillity near vibrant Cancun, Excellence Riviera is secluded without being isolated.
                        The luxury resort sits on a white sand beach amongst the gorgeous Caribbean scenery of the Mayan
                        Riviera. Cancun airport is just 15 minutes away.
                    </p>
                </div>

                <table>
                    <tr>
                        <td><img src="mexico-hotels-riviera-cancun-400x300-7.jpg" width="200px" /></td>
                        <td><img src="mexico-hotels-riviera-cancun-400x300-3.jpg" width="200px" /></td>
                        <td><img src="mexico-hotels-riviera-cancun-400x300.jpg" width="200px" /></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <div id="feefologohere"></div>
</body>

</html>